Skip to main content
GET
/
api
/
v1
/
tasks
/
{task_id}
/
messages
List messages on a task
curl --request GET \
  --url https://agents.nanonets.com/api/v1/tasks/{task_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<unknown>",
      "created_at": "2023-11-07T05:31:56Z",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

Workspace API key issued from the web app. Pass as Authorization: Bearer YOUR_API_KEY.

Path Parameters

task_id
string<uuid>
required

UUID of the task.

Response

All messages on this task in chronological order.

data
object[]
required